Summary: Common C++ class framework for RTP/RTCP
Name: ccrtp
Version: 1.6.0
Release: 2%{?dist}
License: GPLv2+
Group: System Environment/Libraries
Source0: http://ftp.gnu.org/pub/gnu/ccrtp/ccrtp-%{version}.tar.gz
Patch0: ccrtp-1.6.0-gcc.patch
URL: http://www.gnu.org/software/commoncpp/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: commoncpp2-devel >= 1.6.0, doxygen, libgcrypt-devel

%description
ccRTP is a generic, extensible and efficient C++ framework for
developing applications based on the Real-Time Transport Protocol
(RTP) from the IETF. It is based on Common C++ and provides a full
RTP/RTCP stack for sending and receiving of realtime data by the use
of send and receive packet queues. ccRTP supports unicast,
multi-unicast and multicast, manages multiple sources, handles RTCP
automatically, supports different threading models and is generic as
for underlying network and transport protocols.

%package devel
Summary: Header files and libraries for %{name} development
Group: Development/Libraries
# Some of the headers are LGPLv2+
License: GPLv2+ and LGPLv2+
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig, commoncpp2-devel
Requires(post): /sbin/install-info
Requires(preun): /sbin/install-info

%description devel
The %{name}-devel package contains the header files and libraries needed
to develop programs that use the %{name} library.


%prep
%setup -q
%patch0 -p 1 -b .gcc
chmod 644 src/ccrtp/rtp.h

%build
%configure \
	--disable-static
%{__make} # %{?_smp_mflags} smp builds disabled

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=%{buildroot}
rm -f %{buildroot}%{_infodir}/dir
find %{buildroot} -name '*.la' -exec rm -f {} \;

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%post devel
/sbin/install-info %{_infodir}/ccrtp.info* %{_infodir}/dir || :

%preun devel
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/ccrtp.info* %{_infodir}/dir || :
fi

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING README COPYING.addendum
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%doc doc/html
%dir %{_includedir}/ccrtp
%{_includedir}/ccrtp/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/libccrtp1.pc
%{_infodir}/ccrtp.info*


%changelog
* Tue Jul 15 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.6.0-2
- fix license tag

* Wed Feb 06 2008 Andreas Thienemann <andreas@bawue.net> - 1.6.0-1
- Updated to upstream version 1.6.0
- Added patch enabling build with gcc-4.3

* Wed Feb 06 2008 Dennis Gilmore <dennis@ausil.us> - 1.5.1-2
- rebuild for new commoncpp2

* Wed Mar 07 2007 Andreas Thienemann <andreas@bawue.net> - 1.5.1-1
- Updated package to 1.5.1
- Fixed #219396

* Fri Nov 10 2006 Andreas Thienemann <andreas@bawue.net> - 1.5.0-1
- Updated package to 1.5.0, fixing #209026

* Sun Sep 10 2006 Andreas Thienemann <andreas@bawue.net> - 1.4.1-2
- *bump*

* Fri Sep 08 2006 Andreas Thienemann <andreas@bawue.net> - 1.4.1-1
- Updated to 1.4.1

* Sun Jul 23 2006 Andreas Thienemann <andreas@bawue.net> - 1.3.7-2
- Added doxygen BuildRequire

* Mon Apr 24 2006 Andreas Thienemann <andreas@bawue.net> - 1.3.7-1
- Updated to 1.3.7

* Fri Feb 03 2006 Andreas Thienemann <andreas@bawue.net> - 1.3.6-1
- Initial spec.
